Select Moodle version:

Activities: AutoView Presenter

mod_autoview
Lecture capture system, supporting synchronised slides and subtitles with a web editing interface.
Maintained by: Me ! Tim Williams
for Moodle
1.9, 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6

AutoView presenter is a Lecture Capture module which allows you to put video on-line with synchronised slides and subtitles (similar to Microsoft Producer). A web based editing interface is used to configure the video/slide/subtitle sources and to set the slide trigger times.

Supported Video Plugins:

  • Flash Video (including FlashLite on Mobile clients)
  • Quicktime
  • Real Player
  • Windows Media
  • VideoLAN VLC
  • Silverlight
  • Java (Audio Only)
  • HTML 5 Video (disabled by default)

If you have a problem, please visit the AutoView website and discussion forums on http://autoview.autotrain.org. Questions posted here may go unanswered.

Please check our website for the latest plugin releases.

Screenshots

screenshot

Contributors

Me !
Tim Williams (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Capt. Moodle
    Tue, Nov 29, 2011, 9:57 PM
    The zip file for 1.9 contains lang folders for both en and en_utf8. I've asked Tim to clean up the lang folder before approving. Peace - Anthony
  • MD shot of me from his iphone4
    Tue, Feb 5, 2013, 10:42 AM
    Hi,
    this entry is currently unapproved.
    Should we keep it here as currently being worked on, delete it or consider putting it into the "Others" category if it still doesn't conform to plugin standards?
  • Me !
    Fri, Feb 8, 2013, 4:55 PM
    I think Anthony's comment is over a year old (why doesn't the date show?). This issue was addressed in the version I put up last October, I messaged Anthony at the time ans scheduled for re-approval but it would seem that he didn't get around to checking out the download. Note, this module supports both Moodle 1.9 and 2.x from the same download, the earlier 2.x release was a temporary port which didn't include the abstraction layer code which allowed the module to work on 1.9, this was the reason for Anthony's original comment.
  • MD shot of me from his iphone4
    Mon, Feb 18, 2013, 10:38 AM
    Hi Tim,
    MDL-31636 is under way to improve those dates being displayed smile.

    I've encountered issues that prevent me from using this plugin upon installation and adding to a course (this doesn't break moodle however smile ):
    - "The Repository File Manager block has not been installed. This is required to use AutoView in Moodle 2.x with internal file storage."
    - "The Course File Area repository has not been installed. This is required to use AutoView in Moodle 2.x with internal file storage."

    We'll need to append these to the dependencies to version.php in a way like so:
    $plugin->dependencies = array('block_repo_filemanager' => ANY_VERSION, 'repository_coursefilearea' => xxxxxxxxxx );

    This will streamline installation.

    ps: i did note the use of $CFG within version.php causing some notices here too.
  • Picture of vinoth kannan
    Thu, Dec 19, 2013, 11:51 AM
    I get this error
    "The Course File Area repository has not been installed. This is required to use AutoView in Moodle 2.x with internal file storage."
    and also a warning
    Warning : No suitable XSL parser has been found. Please update your PHP installation with XSL support enabled. Please see the ReadMe file in the autoview module directory for more information on how to do this.
  • Me !
    Fri, Dec 20, 2013, 5:29 PM
    Hi Vinoth,

    As the messages you are seeing state, you'll need some extras installed to get AutoView to work. You'll find the Course File Area Repository and the associated Repository File Manager block in the Plugins directory here, please install in the normal way.

    The XSL parser will require you to upgrade your server software. XSL parsers are normally part of a standard PHP install, it's unusual for them to be missing these days, however if you read the readme file you'll find some instructions to help you inget this fixed.
  • Picture of vinoth kannan
    Mon, Dec 23, 2013, 6:42 PM
    Hi Tim,
    Thank you very much. You saved my day. Got your message and i made some corrections in server file and XSL parser is enabled and it is working fine.
    I got an doubt can we restrict some videos only to be viewed and not to be downloaded by the users using autoview is there any options available.
    I dont know where to post it on forum so only i am posting it here.
    Thank you very much for your support.
  • Gareth J Barnard
    Mon, Jan 20, 2014, 10:40 PM
    Hi Tim,

    Please could you read this thread https://moodle.org/mod/forum/discuss.php?d=252370 and see if there is a real issue with the plugin.

    Cheers,

    Gareth
  • Picture of vinoth kannan
    Fri, Feb 14, 2014, 11:34 AM
    Hi Tim,
    I run the cron job and it is showing the following error. We use Moodle 2.4.2
    Processing module function autoview_cron ...!!! Error writing to database !!!
    !! SQLState: 42000

    Error Code: 102

    Message: [Microsoft][SQL Server Native Client 11.0][SQL Server]Incorrect syntax near '`'.


    DELETE FROM mdl_autoview_keys WHERE `time` < 1392263615
    [array (
    )]
    Error code: dmlwriteexception !!
    !! Stack trace: * line 429 of \lib\dml\moodle_database.php: dml_write_exception thrown
    * line 260 of \lib\dml\sqlsrv_native_moodle_database.php: call to moodle_database->query_end()
    * line 367 of \lib\dml\sqlsrv_native_moodle_database.php: call to sqlsrv_native_moodle_database->query_end()
    * line 1153 of \lib\dml\sqlsrv_native_moodle_database.php: call to sqlsrv_native_moodle_database->do_query()
    * line 146 of \mod\autoview\lib.php: call to sqlsrv_native_moodle_database->delete_records_select()
    * line 259 of \lib\cronlib.php: call to autoview_cron()
    * line 88 of \admin\cron.php: call to cron_run()
    !!

    Thanks in Advance

    Vinoth
  • Picture of vinoth kannan
    Fri, Feb 14, 2014, 1:58 PM
    Hi Tim,
    Please see this post https://moodle.org/mod/forum/discuss.php?d=254187 for detailed view about the error while running cron through web interface.
    Thanks in Advance
    Vinoth
Please login to post comments